ONVIF::Media::Types::IrCutFilterAutoAdjustmentOptions(3)

NAME
ONVIF::Media::Types::IrCutFilterAutoAdjustmentOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType IrCutFilterAutoAdjustmentOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   BoundaryType

•   BoundaryOffset

•   ResponseTimeRange

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::IrCutFilterAutoAdjustmentOptions
   BoundaryType =>  $some_value, # string
   BoundaryOffset =>  $some_value, # boolean
   ResponseTimeRange =>  { # ONVIF::Media::Types::DurationRange
     Min =>  $some_value, # duration
     Max =>  $some_value, # duration
   },
   Extension =>  { # ONVIF::Media::Types::IrCutFilterAutoAdjustmentOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL